Index: /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/browser/interfaces.py
===================================================================
--- /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/browser/interfaces.py	(revision 9002)
+++ /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/browser/interfaces.py	(revision 9003)
@@ -21,5 +21,6 @@
 from zope.interface import Interface, Attribute
 from waeup.kofa.interfaces import (
-    IKofaObject, IUniversity, IUsersContainer, IDataCenter)
+    IKofaObject, IUniversity, IUsersContainer, IDataCenter, validate_email)
+from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.university.interfaces import (
     IFacultiesContainer, IFaculty, IFacultyAdd, IDepartment, IDepartmentAdd,
@@ -196,2 +197,33 @@
         If no `title` is given, nothing will be rendered.
         """
+
+class IChangePassword(IKofaObject):
+    """Interface needed for change pasword page.
+
+    """
+    identifier = schema.TextLine(
+        title = _(u'Unique Identifier'),
+        description = _(
+            u'User Name, Student or Applicant Id, Matriculation or '
+            u'Registration Number'),
+        required = True,
+        readonly = False,
+        )
+
+    email = schema.ASCIILine(
+        title = _(u'Email Address'),
+        required = True,
+        constraint=validate_email,
+        )
+
+class IStudentNavigationBase(IKofaObject):
+    """Objects that provide student navigation (whatever it is) should
+       implement this interface.
+    """
+    student = Attribute('''Some student object that has a '''
+                        ''' `display_fullname` attribute.''')
+
+class IApplicantBase(IKofaObject):
+    """Some Applicant.
+    """
+    display_fullname = Attribute('''Fullname.''')
Index: /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/browser/layout.py
===================================================================
--- /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/browser/layout.py	(revision 9002)
+++ /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/browser/layout.py	(revision 9003)
@@ -36,8 +36,7 @@
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.utils.helpers import to_timezone
-from waeup.kofa.browser.interfaces import ITheme
+from waeup.kofa.browser.interfaces import (
+    ITheme, IStudentNavigationBase, IApplicantBase)
 from waeup.kofa.browser.theming import get_all_themes, KofaThemeBase
-from waeup.kofa.students.interfaces import IStudentNavigation
-from waeup.kofa.applicants.interfaces import IApplicant
 from waeup.kofa.authentication import get_principal_role_manager
 
@@ -281,5 +280,5 @@
         """Return the student name.
         """
-        if IStudentNavigation.providedBy(self.context):
+        if IStudentNavigationBase.providedBy(self.context):
             return self.context.student.display_fullname
         return
@@ -288,5 +287,6 @@
         """Return the applicant name.
         """
-        if IApplicant.providedBy(self.context):
+        if IApplicantBase.providedBy(self.context):
+            # XXX: shouldn't that be `display_fullname???`
             return self.context.fullname
         return
Index: /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/browser/pages.py
===================================================================
--- /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/browser/pages.py	(revision 9002)
+++ /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/browser/pages.py	(revision 9003)
@@ -46,5 +46,5 @@
     IDepartment, IDepartmentAdd, ICourse, ICourseAdd, ICertificate,
     ICertificateAdd, ICertificateCourse, ICertificateCourseAdd,
-    ICaptchaManager)
+    ICaptchaManager, IChangePassword)
 from waeup.kofa.browser.layout import jsaction, action, UtilityView
 from waeup.kofa.browser.resources import warning, datepicker, tabs, datatable
@@ -55,6 +55,5 @@
     ILocalRolesAssignable, DuplicationError, IConfigurationContainer,
     ISessionConfiguration, ISessionConfigurationAdd,
-    IPasswordValidator, IContactForm, IKofaUtils, ICSVExporter,
-    IChangePassword)
+    IPasswordValidator, IContactForm, IKofaUtils, ICSVExporter,)
 from waeup.kofa.permissions import (
     get_users_with_local_roles, get_all_roles, get_all_users)
Index: /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/interfaces.py
===================================================================
--- /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/interfaces.py	(revision 9002)
+++ /main/waeup.kofa/branches/uli-zc-async/src/waeup/kofa/interfaces.py	(revision 9003)
@@ -1090,20 +1090,2 @@
         )
 
-class IChangePassword(IKofaObject):
-    """Interface needed for change pasword page.
-
-    """
-    identifier = schema.TextLine(
-        title = _(u'Unique Identifier'),
-        description = _(
-            u'User Name, Student or Applicant Id, Matriculation or '
-            u'Registration Number'),
-        required = True,
-        readonly = False,
-        )
-
-    email = schema.ASCIILine(
-        title = _(u'Email Address'),
-        required = True,
-        constraint=validate_email,
-        )