Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9021)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9022)
@@ -479,5 +479,5 @@
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertEqual(self.browser.url, self.history_path)
-        self.assertMatches('...Student admitted by Manager...',
+        self.assertMatches('...Admitted by Manager...',
                            self.browser.contents)
         # Only the Application Slip does not exist
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/workflow.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/workflow.py	(revision 9021)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/workflow.py	(revision 9022)
@@ -23,5 +23,5 @@
         source = None,
         condition = NullCondition,
-        msg = _('Student record created'),
+        msg = _('Record created'),
         destination = CREATED),
 
@@ -29,5 +29,5 @@
         transition_id = 'admit',
         title = _('Admit student'),
-        msg = _('Student admitted'),
+        msg = _('Admitted'),
         source = CREATED,
         destination = ADMITTED),
@@ -63,6 +63,6 @@
     Transition(
         transition_id = 'reset3',
-        title = _('Reset to clearance'),
-        msg = _("Reset to 'clearance'"),
+        title = _('Reset to clearance started'),
+        msg = _("Reset to 'clearance started'"),
         source = REQUESTED,
         destination = CLEARANCE),
@@ -77,6 +77,6 @@
     Transition(
         transition_id = 'reset4',
-        title = _('Reset to clearance'),
-        msg = _("Reset to 'clearance'"),
+        title = _('Reset to clearance started'),
+        msg = _("Reset to 'clearance started'"),
         source = CLEARED,
         destination = CLEARANCE),
@@ -85,5 +85,5 @@
         transition_id = 'pay_first_school_fee',
         title = _('Pay school fee'),
-        msg = _('School fee paid'),
+        msg = _('First school fee payment made'),
         source = CLEARED,
         destination = PAID),
@@ -92,5 +92,5 @@
         transition_id = 'approve_first_school_fee',
         title = _('Approve payment'),
-        msg = _('School fee payment approved'),
+        msg = _('First school fee payment approved'),
         source = CLEARED,
         destination = PAID),
@@ -106,5 +106,5 @@
         transition_id = 'pay_school_fee',
         title = _('Pay school fee'),
-        msg = _('Payment made'),
+        msg = _('School fee payment made'),
         source = RETURNING,
         destination = PAID),
@@ -112,6 +112,6 @@
     Transition(
         transition_id = 'pay_pg_fee',
-        title = _('Pay postgraduate school fee'),
-        msg = _('Payment made'),
+        title = _('Pay PG school fee'),
+        msg = _('PG school fee payment made'),
         source = PAID,
         destination = PAID),
@@ -119,5 +119,5 @@
     Transition(
         transition_id = 'approve_school_fee',
-        title = _('Approve payment'),
+        title = _('Approve school fee payment'),
         msg = _('School fee payment approved'),
         source = RETURNING,
@@ -126,6 +126,6 @@
     Transition(
         transition_id = 'approve_pg_fee',
-        title = _('Approve postgraduate payment'),
-        msg = _('School fee payment approved'),
+        title = _('Approve PG school fee payment'),
+        msg = _('PG school fee payment approved'),
         source = PAID,
         destination = PAID),
@@ -147,6 +147,6 @@
     Transition(
         transition_id = 'reset7',
-        title = _('Reset to paid'),
-        msg = _("Reset to 'paid'"),
+        title = _('Reset to school fee paid'),
+        msg = _("Reset to 'school fee paid'"),
         source = REGISTERED,
         destination = PAID),
@@ -161,6 +161,6 @@
     Transition(
         transition_id = 'reset8',
-        title = _('Reset to paid'),
-        msg = _("Reset to 'paid'"),
+        title = _('Reset to school fee paid'),
+        msg = _("Reset to 'school fee paid'"),
         source = VALIDATED,
         destination = PAID),
@@ -175,6 +175,6 @@
     Transition(
         transition_id = 'reset9',
-        title = _('Reset to validated'),
-        msg = _("Reset to 'validated'"),
+        title = _('Reset to courses validated'),
+        msg = _("Reset to 'courses validated'"),
         source = RETURNING,
         destination = VALIDATED),
Index: /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_browser.py	(revision 9021)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/utils/tests/test_browser.py	(revision 9022)
@@ -41,12 +41,12 @@
 
     def test_replace_student_messages(self):
-        self.assertTrue('Student record created by system' in
+        self.assertTrue('Record created by system' in
             self.student.history.messages[0])
         replaceStudentMessages('system', 'me')
-        self.assertTrue('Student record created by me' in
+        self.assertTrue('Record created by me' in
             self.student.history.messages[0])
 
     def test_modify_all_student_history(self):
-        self.assertTrue('Student record created by system' in
+        self.assertTrue('Record created by system' in
             self.student.history.messages[0])
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
@@ -58,5 +58,5 @@
             'http://localhost/app/modify_student_history?old=by system&new=by me')
         self.assertTrue('Finished' in self.browser.contents)
-        self.assertTrue('Student record created by me' in
+        self.assertTrue('Record created by me' in
             self.student.history.messages[0])
 