Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/batchprocessing.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/batchprocessing.txt	(revision 9023)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/batchprocessing.txt	(revision 9024)
@@ -75,5 +75,5 @@
 
     >>> import cStringIO
-    >>> browser.getLink('Upload CSV file').click()
+    >>> browser.getLink('Upload data').click()
     >>> filecontents = cStringIO.StringIO(
     ...   open('faculties.csv', 'rb').read())
@@ -84,5 +84,5 @@
 Step 1: start batch processing:
 
-    >>> browser.getLink('Batch processing').click()
+    >>> browser.getLink('Process data').click()
     >>> button = lookup_submit_value(
     ...   'select', 'faculties_zope.mgr.csv', browser)
@@ -177,5 +177,5 @@
 
     >>> import cStringIO
-    >>> browser.getLink('Upload CSV file').click()
+    >>> browser.getLink('Upload data').click()
     >>> filecontents = cStringIO.StringIO(
     ...   open('departments.csv', 'rb').read())
@@ -186,5 +186,5 @@
 Step 1: start batch processing:
 
-    >>> browser.getLink('Batch processing').click()
+    >>> browser.getLink('Process data').click()
     >>> button = lookup_submit_value(
     ...   'select', 'departments_zope.mgr.csv', browser)
@@ -242,5 +242,5 @@
 
     >>> import cStringIO
-    >>> browser.getLink('Upload CSV file').click()
+    >>> browser.getLink('Upload data').click()
     >>> filecontents = cStringIO.StringIO(
     ...   open('courses.csv', 'rb').read())
@@ -251,5 +251,5 @@
 Step 1: start batch processing:
 
-    >>> browser.getLink('Batch processing').click()
+    >>> browser.getLink('Process data').click()
     >>> button = lookup_submit_value(
     ...   'select', 'courses_zope.mgr.csv', browser)
@@ -307,5 +307,5 @@
 
     >>> import cStringIO
-    >>> browser.getLink('Upload CSV file').click()
+    >>> browser.getLink('Upload data').click()
     >>> filecontents = cStringIO.StringIO(
     ...   open('certificates.csv', 'rb').read())
@@ -316,5 +316,5 @@
 Step 1: start batch processing:
 
-    >>> browser.getLink('Batch processing').click()
+    >>> browser.getLink('Process data').click()
     >>> button = lookup_submit_value(
     ...   'select', 'certificates_zope.mgr.csv', browser)
@@ -373,5 +373,5 @@
 
     >>> import cStringIO
-    >>> browser.getLink('Upload CSV file').click()
+    >>> browser.getLink('Upload data').click()
     >>> filecontents = cStringIO.StringIO(
     ...   open('mycertcourses.csv', 'rb').read())
@@ -382,5 +382,5 @@
 Step 1: start batch processing:
 
-    >>> browser.getLink('Batch processing').click()
+    >>> browser.getLink('Process data').click()
     >>> button = lookup_submit_value(
     ...   'select', 'mycertcourses_zope.mgr.csv', browser)
@@ -438,5 +438,5 @@
 
     >>> import cStringIO
-    >>> browser.getLink('Upload CSV file').click()
+    >>> browser.getLink('Upload data').click()
     >>> filecontents = cStringIO.StringIO(
     ...   open('users.csv', 'rb').read())
@@ -447,5 +447,5 @@
 Step 1: start batch processing:
 
-    >>> browser.getLink('Batch processing').click()
+    >>> browser.getLink('Process data').click()
     >>> button = lookup_submit_value(
     ...   'select', 'users_zope.mgr.csv', browser)
@@ -510,5 +510,5 @@
 
     >>> import cStringIO
-    >>> browser.getLink('Upload CSV file').click()
+    >>> browser.getLink('Upload data').click()
     >>> filecontents = cStringIO.StringIO(
     ...   open('newfaculties.csv', 'rb').read())
@@ -519,5 +519,5 @@
 Step 1: start batch processing:
 
-    >>> browser.getLink('Batch processing').click()
+    >>> browser.getLink('Process data').click()
     >>> button = lookup_submit_value(
     ...   'select', 'newfaculties_zope.mgr.csv', browser)
@@ -581,5 +581,5 @@
 
     >>> browser.open('http://localhost/app/datacenter')
-    >>> browser.getLink('Batch processing').click()
+    >>> browser.getLink('Process data').click()
     >>> button = lookup_submit_value(
     ...   'select', 'newfaculties_zope.mgr.create.pending.csv', browser)
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 9023)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/browser.txt	(revision 9024)
@@ -1218,5 +1218,5 @@
 page:
 
-  >>> browser.getLink('Upload CSV file').click()
+  >>> browser.getLink('Upload data').click()
 
 and enter the appropriate data in the form:
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 9023)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 9024)
@@ -825,5 +825,5 @@
     grok.name('upload')
     grok.require('waeup.manageDataCenter')
-    label = _(u'Upload file')
+    label = _(u'Upload portal data as CSV file')
     pnav = 0
     upload_button =_(u'Upload')
@@ -875,4 +875,11 @@
         base, ext = os.path.splitext(filename)
         return '%s_%s%s' % (base, filtered_username, ext.lower())
+
+    def getImporters(self):
+        importers = getAllUtilitiesRegisteredFor(IBatchProcessor)
+        importers = sorted(
+            [dict(title=x.name, name=x.util_name, fields=x.available_fields)
+            for x in importers], key=lambda k: k['title'])
+        return importers
 
 class FileDownloadView(UtilityView, grok.View):
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenteruploadpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenteruploadpage.pt	(revision 9023)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenteruploadpage.pt	(revision 9024)
@@ -9,2 +9,23 @@
   </div>
 </form>
+
+<br /><br />
+
+<h2 i18n:translate="">Available Processors (Importers)</h2>
+
+<table i18n:domain="waeup.kofa">
+  <thead>
+    <tr>
+      <th i18n:translate="">Processor</th>
+      <th i18n:translate="">Available Fields</th>
+    </tr>
+  </thead>
+  <tr tal:repeat="importer view/getImporters">
+    <td tal:content="importer/title"></td>
+    <td>
+        <span tal:repeat="field python:sorted(importer['fields'])">
+            <span tal:replace="field"></span>,
+        </span>
+    </td>
+  </tr>
+</table>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py	(revision 9023)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/tests/test_browser.py	(revision 9024)
@@ -122,5 +122,5 @@
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertEqual(self.browser.url, self.datacenter_path)
-        self.browser.getLink("Upload CSV file").click()
+        self.browser.getLink("Upload data").click()
         file = open(SAMPLE_FILE)
         ctrl = self.browser.getControl(name='uploadfile:file')
@@ -154,5 +154,5 @@
         self.assertEqual(self.browser.headers['Status'], '200 Ok')
         self.assertEqual(self.browser.url, self.datacenter_path)
-        self.browser.getLink("Export CSV file").click()
+        self.browser.getLink("Export data").click()
         self.browser.getControl(name="exporter").value = ['faculties']
         self.browser.getControl("Download").click()
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 9023)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 9024)
@@ -481,5 +481,5 @@
     icon = 'actionicon_up.png'
     target = '@@upload'
-    text = _('Upload CSV file')
+    text = _('Upload data')
 
 class BatchOpButton(ActionButton):
@@ -490,5 +490,5 @@
     icon = 'actionicon_gear.png'
     target = '@@import1'
-    text = _('Batch processing')
+    text = _('Process data')
 
 class ExportCSVButton(ActionButton):
@@ -499,5 +499,5 @@
     icon = 'actionicon_down.png'
     target = '@@export'
-    text = _('Export CSV file')
+    text = _('Export data')
 
 class BrowseFinishedFiles(ActionButton):
@@ -508,5 +508,5 @@
     icon = 'actionicon_finished.png'
     target = '@@processed'
-    text = _('Processed Files')
+    text = _('View processed files')
 
 #