Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 9045)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 9046)
@@ -346,5 +346,5 @@
             'reg_number,result_uploaded,screening_date,screening_score,screening_venue,sex,'
             'state,student_id,'
-            'container_code'
+            'suspended,container_code'
             in result)
         self.assertTrue(
@@ -352,5 +352,5 @@
             '"Some notice\nin lines.",,,any password,,+234-123-12345,,,'
             '123456,,"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,'
-            'initialized,,dp2011'
+            'initialized,,0,dp2011'
             in result)
         # We can import the same file if we ignore some columns.
@@ -371,5 +371,5 @@
             'reg_number','result_uploaded',
             'screening_date','screening_score','screening_venue','sex',
-            'state','student_id','container_code'],
+            'state','student_id','suspended','container_code'],
             mode='create')
         num_succ, num_fail, finished_path, failed_path = result
@@ -395,5 +395,5 @@
             'reg_number','result_uploaded','screening_date','screening_score',
             'screening_venue','sex',
-            'state','student_id','ignore_container_code'],
+            'state','student_id','suspended','ignore_container_code'],
             mode='update')
         num_succ, num_fail, finished_path, failed_path = result
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_browser.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_browser.py	(revision 9045)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_browser.py	(revision 9046)
@@ -247,4 +247,4 @@
         self.browser.open(self.edit_clearance_path)
         self.browser.getControl("Save and request clearance").click()
-        self.assertTrue('Enter the CLR access code used for starting clearance'
+        self.assertTrue('Clearance has been requested'
             in self.browser.contents)
Index: /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py
===================================================================
--- /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py	(revision 9045)
+++ /main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py	(revision 9046)
@@ -47,22 +47,22 @@
         self.assertTrue(
             'adm_code,alr_date,alr_fname,alr_no,alr_results,clearance_locked,'
-            'clr_code,date_of_birth,date_of_birth,def_adm,disabled,email,'
-            'emp2_end,emp2_position,emp2_reason,emp2_start,emp_end,'
-            'emp_position,emp_reason,emp_start,employer,employer2,'
-            'firstname,former_matric,fst_sit_date,fst_sit_fname,fst_sit_no,'
-            'fst_sit_results,fst_sit_type,hq2_degree,hq2_disc,hq2_matric_no,'
-            'hq2_school,hq2_session,hq2_type,hq_degree,hq_disc,hq_matric_no,'
-            'hq_school,hq_session,hq_type,is_staff,lastname,lga,marit_stat,'
-            'matric_number,middlename,nationality,nationality,next_kin_address,'
-            'next_kin_name,next_kin_relation,nysc_lga,nysc_location,nysc_year,'
-            'perm_address,phone,reg_number,reg_number,religion,scd_sit_date,'
+            'clr_code,date_of_birth,def_adm,disabled,email,emp2_end,'
+            'emp2_position,emp2_reason,emp2_start,emp_end,emp_position,'
+            'emp_reason,emp_start,employer,employer2,firstname,former_matric,'
+            'fst_sit_date,fst_sit_fname,fst_sit_no,fst_sit_results,'
+            'fst_sit_type,hq2_degree,hq2_disc,hq2_matric_no,hq2_school,'
+            'hq2_session,hq2_type,hq_degree,hq_disc,hq_matric_no,hq_school,'
+            'hq_session,hq_type,is_staff,lastname,lga,marit_stat,'
+            'matric_number,middlename,nationality,next_kin_address,'
+            'next_kin_name,next_kin_relation,nysc_lga,nysc_location,'
+            'nysc_year,perm_address,phone,reg_number,religion,scd_sit_date,'
             'scd_sit_fname,scd_sit_no,scd_sit_results,scd_sit_type,sex,'
-            'student_id,password,state,history,certcode\r\n'
+            'student_id,suspended,password,state,history,certcode\r\n'
 
             'my adm code,,,,"[(\'visual_art\', \'A1\')]",0,my clr code,'
-            '1981-02-04#,1981-02-04#,,,anna@sample.com,,,,,,,,,,,Anna,,,,,'
-            '"[(\'visual_art\', \'A1\')]",,,,,,,,,,,,,,,Tester,,,M123456,M.,'
-            'NG,NG,,,,,,,"Studentroad 21\nLagos 123456\n",+234-123-12345#,'
-            '123456,123456,,,,,"[(\'visual_art\', \'A1\')]",,f,A111111,,created,'
+            '1981-02-04#,,,anna@sample.com,,,,,,,,,,,Anna,,,,,'
+            '"[(\'visual_art\', \'A1\')]",,,,,,,,,,,,,,,Tester,,,234,M.,NG'
+            ',,,,,,,"Studentroad 21\nLagos 123456\n",+234-123-12345#,123'
+            ',,,,,"[(\'visual_art\', \'A1\')]",,f,A111111,0,,created,'
             in result
             )