Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/applicant.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/applicant.py	(revision 9071)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/applicant.py	(revision 9072)
@@ -32,6 +32,9 @@
     grok.provides(INigeriaApplicant)
 
+    # Meanwhile perm_address has been removed but the attribute still exists in
+    # some applicant objects. So we'll leave it until all 2012 students
+    # have been created.
     create_names = Applicant.create_names + [
-        'lga', 'nationality', 'perm_address']
+        'lga', 'nationality', 'perm_address']  
 
 # Set all attributes of NigeriaApplicant required in INigeriaApplicant as field
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py	(revision 9071)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/browser.py	(revision 9072)
@@ -97,5 +97,5 @@
             for field in UG_OMIT_DISPLAY_FIELDS:
                 form_fields = form_fields.omit(field)
-        form_fields['perm_address'].custom_widget = BytesDisplayWidget
+        #form_fields['perm_address'].custom_widget = BytesDisplayWidget
         form_fields['notice'].custom_widget = BytesDisplayWidget
         return form_fields
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 9071)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 9072)
@@ -35,5 +35,5 @@
 
 # Fields to be omitted in all display forms. course_admitted is
-# rendered seperately.
+# rendered separately.
 
 OMIT_DISPLAY_FIELDS = ('locked', 'course_admitted',
@@ -64,5 +64,5 @@
     'email', 'phone',
     'date_of_birth', 'sex',
-    'nationality', 'lga', 'perm_address',
+    'nationality', 'lga', #'perm_address',
     'course2', 'screening_venue',
     'screening_date')
@@ -80,5 +80,5 @@
     'email', 'phone',
     'date_of_birth', 'sex',
-    'nationality', 'lga', 'perm_address',
+    'nationality', 'lga', #'perm_address',
     'course2', 'screening_venue',
     'screening_date')
@@ -109,8 +109,8 @@
         required = False,
         )
-    perm_address = schema.Text(
-        title = _(u'Permanent Address'),
-        required = False,
-        )
+    #perm_address = schema.Text(
+    #    title = _(u'Permanent Address'),
+    #    required = False,
+    #    )
     course1 = schema.Choice(
         title = _(u'1st Choice Course of Study'),
@@ -221,8 +221,8 @@
         required = False,
         )
-    perm_address = schema.Text(
-        title = _(u'Permanent Address'),
-        required = False,
-        )
+    #perm_address = schema.Text(
+    #    title = _(u'Permanent Address'),
+    #    required = False,
+    #    )
     course1 = schema.Choice(
         title = _(u'1st Choice Course of Study'),
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 9071)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 9072)
@@ -343,5 +343,5 @@
             'jamb_score,jamb_subjects,lastname,lga,locked,middlename,'
             'nationality,notice,nysc_lga,'
-            'nysc_year,password,perm_address,phone,pp_school,presently_inst,'
+            'nysc_year,password,phone,pp_school,presently_inst,'
             'reg_number,result_uploaded,screening_date,screening_score,screening_venue,sex,'
             'state,student_id,'
@@ -350,5 +350,5 @@
         self.assertTrue(
             'Application initialized by system\'],,,,,,,,,Tester,,0,M.,,'
-            '"Some notice\nin lines.",,,any password,,+234-123-12345,,,'
+            '"Some notice\nin lines.",,,any password,+234-123-12345,,,'
             '123456,,"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,'
             'initialized,,0,dp2011'
@@ -368,5 +368,5 @@
             'jamb_score','jamb_subjects','lastname','lga','locked','middlename',
             'nationality','notice','nysc_lga',
-            'nysc_year','password','perm_address','phone','pp_school','presently_inst',
+            'nysc_year','password','phone','pp_school','presently_inst',
             'reg_number','result_uploaded',
             'screening_date','screening_score','screening_venue','sex',
@@ -392,5 +392,5 @@
             'jamb_score','jamb_subjects','lastname','lga','locked','middlename',
             'nationality','notice','nysc_lga',
-            'nysc_year','password','perm_address','phone','pp_school','presently_inst',
+            'nysc_year','password','phone','pp_school','presently_inst',
             'reg_number','result_uploaded','screening_date','screening_score',
             'screening_venue','sex',