Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 9073)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 9074)
@@ -920,6 +920,6 @@
             'Content-Type', 'text/csv; charset=UTF-8')
         self.response.setHeader(
-            'Content-Disposition:', 'attachment; filename="%s.csv' %
-            self.filename.replace('.csv',''))
+            'Content-Disposition:', 'attachment; filename="%s' %
+            self.filename.replace('finished/',''))
         fullpath = os.path.join(self.context.storage, self.filename)
         return open(fullpath, 'rb').read()
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/static/datatable.js
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/static/datatable.js	(revision 9073)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/static/datatable.js	(revision 9074)
@@ -1,8 +1,20 @@
 $(document).ready(function(){
-    $('.dataTable').dataTable();
+  $('.dataTable').dataTable();
+
+	$('.dataTableFiles').dataTable( {
+		"aaSorting": [[ 2, "desc" ]],
+	} );
+
 	$('.dataTableManage').dataTable( {
 		"aaSorting": [[ 1, "asc" ]],
 		"aoColumnDefs":[{ "bSortable": false, "aTargets": [ 0 ] }]
 	} );
+
+	$('.dataTableManageFiles').dataTable( {
+		"aaSorting": [[ 3, "desc" ]],
+		"aoColumnDefs":[{ "bSortable": false, "aTargets": [ 0 ] }]
+	} );
+
+
 });
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt	(revision 9073)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt	(revision 9074)
@@ -1,3 +1,3 @@
-<table i18n:domain="waeup.kofa" class="display dataTable">
+<table i18n:domain="waeup.kofa" class="display dataTableFiles">
   <thead>
     <tr>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterpage.pt	(revision 9073)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterpage.pt	(revision 9074)
@@ -11,5 +11,5 @@
 <form action="." tal:attributes="action request/URL" method="post"
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
-    <table i18n:domain="waeup.kofa" class="display dataTableManage">
+    <table i18n:domain="waeup.kofa" class="display dataTableManageFiles">
       <thead>
         <tr>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/datacenter.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/datacenter.py	(revision 9073)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/datacenter.py	(revision 9074)
@@ -87,8 +87,8 @@
         return result
 
-    def getFinishedFiles(self, sort='name'):
+    def getFinishedFiles(self):
         """Get a list of files stored in `finished` subfolder of `storage`.
 
-        Files are sorted by basename.
+        Files are unsorted.
         """
         result = []
@@ -103,8 +103,4 @@
                 continue
             result.append(DataCenterFile(fullpath, 'finished'))
-        if sort == 'date':
-            # sort results in newest-first order...
-            result = sorted(result, key=lambda x: x.getTimeStamp(),
-                            reverse=True)
         return result
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 9073)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 9074)
@@ -645,7 +645,6 @@
         """
 
-    def getFinishedFiles(sort='name'):
-        """Get a list of files stored in `finished` subfolder of `storage`
-        sorted by basename.
+    def getFinishedFiles():
+        """Get a list of files stored in `finished` subfolder of `storage`.
         """
 